__gnu_pbds::detail::entry_cmp< _VTp, Cmp_Fn, _Alloc, false >::type Struct Reference

`#include <entry_cmp.hpp>`

## Public Member Functions

| type (const Cmp_Fn &other)
bool | operator() (entry lhs, entry rhs) const

## Detailed Description

template<typename _VTp, typename Cmp_Fn, typename _Alloc>
struct __gnu_pbds::detail::entry_cmp< _VTp, Cmp_Fn, _Alloc, false >::type

Compare plus entry.

Definition at line 71 of file entry_cmp.hpp.

## Constructor & Destructor Documentation

## type() [1/2]

template<typename _VTp, typename Cmp_Fn, typename _Alloc>

__gnu_pbds::detail::entry_cmp< _VTp, Cmp_Fn, _Alloc, false >::type::type | ( |  | ) |

inline

Definition at line 73 of file entry_cmp.hpp.

## type() [2/2]

template<typename _VTp, typename Cmp_Fn, typename _Alloc>

__gnu_pbds::detail::entry_cmp< _VTp, Cmp_Fn, _Alloc, false >::type::type | ( | const Cmp_Fn & | other | ) |

inline

Definition at line 75 of file entry_cmp.hpp.

## Member Function Documentation

## operator()()

template<typename _VTp, typename Cmp_Fn, typename _Alloc>

bool __gnu_pbds::detail::entry_cmp< _VTp, Cmp_Fn, _Alloc, false >::type::operator() | ( | entry | lhs,
|  | entry | rhs ) const

inline

Definition at line 78 of file entry_cmp.hpp.

The documentation for this struct was generated from the following file:

- entry_cmp.hpp